Skip to content

ListIntegrationOwners

GET/api/v1/integrations/{integration}/owners

List the users, teams, and groups that own an integration.

curl \
-H "Authorization: Bearer ${OBLIQUE_API_KEY}" \
"https://us.oblique.security/api/v1/integrations/{integration}/owners"

Set OBLIQUE_API_KEY to your API key.

  • parentstringrequired

    Format: integrations/{integration}

  • pageSizeinteger (int32)

    The maximum number of owners to return. This service may return fewer than this value.

  • pageTokenstring

    A page token, received from a previous ListIntegrationOwners call.

200ListIntegrationOwnersResponse
  • integrationOwnersIntegrationOwner[]
    • namestring

      Assigned by Oblique. Name of the owner of the format integrations/{integration}/owners/{owner}.

    • ownerstringrequired

      Set once, when the resource is created. The owner of the integration. This can be a user, group, or team.

      Format: users/{user}, groups/{group}, teams/{team}

    • createTimestring (date-time)read-only

      Create and update timestamps.

    • updateTimestring (date-time)read-only
  • nextPageTokenstring

    A token, which can be sent as page_token to retrieve the next page.

StatusMeaning
400Malformed request
401Missing or invalid API key
403Not allowed for this API key
404Not found
429Too many requests
500Internal server error